summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-roguelike/FTL
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-roguelike/FTL')
-rw-r--r--games-roguelike/FTL/FTL-1.5.13.ebuild66
-rw-r--r--games-roguelike/FTL/Manifest1
-rw-r--r--games-roguelike/FTL/metadata.xml15
3 files changed, 82 insertions, 0 deletions
diff --git a/games-roguelike/FTL/FTL-1.5.13.ebuild b/games-roguelike/FTL/FTL-1.5.13.ebuild
new file mode 100644
index 00000000000..3dc5d4062ef
--- /dev/null
+++ b/games-roguelike/FTL/FTL-1.5.13.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils games
+
+DESCRIPTION="Faster Than Light: A spaceship simulation real-time roguelike-like game"
+HOMEPAGE="http://www.ftlgame.com/"
+SRC_URI="FTL.${PV}.tar.gz"
+
+LICENSE="all-rights-reserved Boost-1.0 free-noncomm MIT bundled-libs? ( FTL LGPL-2.1 ZLIB libpng )"
+SLOT="0"
+KEYWORDS="-* amd64 x86"
+IUSE="bundled-libs"
+RESTRICT="fetch bindist splitdebug"
+
+RDEPEND="
+ sys-devel/gcc[cxx]
+ virtual/opengl
+ !bundled-libs? (
+ media-libs/devil[png]
+ media-libs/freetype:2
+ media-libs/libsdl[X,sound,joystick,opengl,video]
+ sys-libs/zlib
+ )"
+
+QA_PREBUILT="${GAMES_PREFIX_OPT#/}/${PN}/bin/${PN}
+ ${GAMES_PREFIX_OPT#/}/${PN}/lib/*"
+
+S=${WORKDIR}/${PN}
+
+pkg_nofetch() {
+ einfo "Please buy & download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to ${DISTDIR}"
+ einfo
+}
+
+src_prepare() {
+ if ! use bundled-libs ; then
+ # no system lib for libbass available
+ find data/${ARCH}/lib -type f \! -name "libbass*" -delete || die
+ fi
+}
+
+src_install() {
+ local dir=${GAMES_PREFIX_OPT}/${PN}
+
+ insinto "${dir}"
+ doins -r data/resources
+
+ exeinto "${dir}"/bin
+ doexe data/${ARCH}/bin/${PN}
+ exeinto "${dir}"/lib
+ doexe data/${ARCH}/lib/*.so*
+
+ games_make_wrapper ${PN} "${dir}/bin/${PN}" "${dir}" "${dir}/lib"
+ make_desktop_entry ${PN} "Faster Than Light" "/usr/share/pixmaps/FTL.bmp"
+
+ newicon data/resources/exe_icon.bmp FTL.bmp
+ dohtml ${PN}_README.html
+
+ prepgamesdirs
+}
diff --git a/games-roguelike/FTL/Manifest b/games-roguelike/FTL/Manifest
new file mode 100644
index 00000000000..fcd84da875b
--- /dev/null
+++ b/games-roguelike/FTL/Manifest
@@ -0,0 +1 @@
+DIST FTL.1.5.13.tar.gz 197569383 SHA256 babdfafceec744f36dd663966813098669a983f94d243265dd57104ffbfb7055 SHA512 129aa9ea13b6889520cb637bcbda0452f3dc2e8d93fb0e4d1c7938436d776b39a0a33b4e9d943e058ab5c80dcbb6e7bb874d0a78bd8a2a5a3a7e34159e1faac9 WHIRLPOOL 23f9af234d3f81555fa2ca1533708e785fb82ba992c5fc836b6db1fe330e43c1b22927837a0cd000718e9adda8d3d9feb3abda8ca72463e9dc2aa75378db4c00
diff --git a/games-roguelike/FTL/metadata.xml b/games-roguelike/FTL/metadata.xml
new file mode 100644
index 00000000000..1f7b07a47f3
--- /dev/null
+++ b/games-roguelike/FTL/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>alex_y_xu@yahoo.ca</email>
+ <name>Alex Xu</name>
+ <description>Proxied maintainer</description>
+ </maintainer>
+ <use>
+ <flag name='bundled-libs'>Use bundled libraries.</flag>
+ </use>
+</pkgmetadata>
+